Page MenuHomePhabricator

API break in legacy elementary
Closed, InvalidPublic

Description

Commit cb523121be391f179a1f84da21114b44936e0d11 broke legacy API, elm_image_resize_up/down were renamed to scale_up/down but no legacy compatibility functions were added.

kuuko created this task.Aug 11 2016, 2:02 PM
jpeg triaged this task as Showstopper Issues priority.Aug 11 2016, 3:02 PM
jpeg added a subscriber: stefan_schmidt.
jpeg closed this task as Invalid.Aug 11 2016, 3:42 PM

No. elm_image_resize_up did not exist in 1.17.
See also T4343 for an actual problem with elm_image.

kuuko added a comment.Aug 11 2016, 4:22 PM

OK I checked again, they were never EAPI. But they are now in 1.18 legacy header so they need to get removed, same as sizing_eval in T4343